import { _t, config, setup, t, version } from "./ui/index.mjs";
import { VxeColumn } from "./column/index.mjs";
import "./colgroup/index.mjs";
import { VxeGrid } from "./grid/index.mjs";
import { VxeTable } from "./table/index.mjs";
import { VxeToolbar } from "./toolbar/index.mjs";
import zhCN from "./locale/lang/zh-CN.mjs";
import { VxeUI } from "../../@vxe-ui/core/es/index.esm.mjs";
if (!VxeUI.hasLanguage("zh-CN")) {
  const defaultLanguage = "zh-CN";
  VxeUI.setI18n(defaultLanguage, zhCN);
  VxeUI.setLanguage(defaultLanguage);
}
VxeUI.setTheme("light");
export {
  VxeColumn,
  VxeGrid,
  VxeTable,
  VxeToolbar,
  VxeUI,
  _t,
  config,
  setup,
  t,
  version
};
